X2Go Bug report logs - #417
Two screens, wrong screen used for limits of positioning context menus

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Daniel Michalik <x2go@blackamp.de>

Date: Tue, 28 Jan 2014 15:40:02 UTC

Severity: minor

Tags: fixed-upstream

Fixed in version 3.5.99.3

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/78

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#417; Package xinerama. (Tue, 28 Jan 2014 15:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org.

Your message had a Version: pseudo-header with an invalid package version:

4.0.1.2 (Qt - 4.8.6)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 28 Jan 2014 15:40:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Daniel Michalik <x2go@blackamp.de>
To: submit@bugs.x2go.org
Subject: Two screens, wrong screen used for limits of positioning context menus
Date: Tue, 28 Jan 2014 16:35:52 +0100
Package: xinerama
Version: 4.0.1.2 (Qt - 4.8.6) 

This bug concerns the placement of context menus in a two screen setup.
On my client I have two screens. One in landscape mode from 0,0 to
1920,1080 and to its right a second screen in portrait mode, from 1920,0
to 3120,1600. I run an x2go session, the session type is single application
(terminal). I fullscreen my application window, either on the left or on
the right screen. I then open a context menu while my mouse cursor is in
the bottom half or right half of the application window. 

Everything works fine with the application positioned on the right hand
screen. It is correctly determined that the context menus would not fit
into the remaining space if they would start where the mouse cursor is, so
they are repositioned in a way that I can see the entire menu. 

But if the application is on my left hand screen the context menus will
always start (their top left corner) where my mouse cursor is, therefore
spilling outside my visible monitor area to the bottom, or overlapping into my
second screen. Expected behaviour: context menus to stay within my
screen, just as they do for all other non-x2go applications.


Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#417; Package xinerama. (Wed, 29 Jan 2014 12:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 29 Jan 2014 12:20:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Daniel Michalik <x2go@blackamp.de>, 417@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Wed, 29 Jan 2014 12:16:05 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 nxagent
Control: severity -1 minor
Control: found -1 3.5.0.23

Hi Daniel,

On  Di 28 Jan 2014 16:35:52 CET, Daniel Michalik wrote:

> Package: xinerama
> Version: 4.0.1.2 (Qt - 4.8.6)
>
> This bug concerns the placement of context menus in a two screen setup.
> On my client I have two screens. One in landscape mode from 0,0 to
> 1920,1080 and to its right a second screen in portrait mode, from 1920,0
> to 3120,1600. I run an x2go session, the session type is single application
> (terminal). I fullscreen my application window, either on the left or on
> the right screen. I then open a context menu while my mouse cursor is in
> the bottom half or right half of the application window.
>
> Everything works fine with the application positioned on the right hand
> screen. It is correctly determined that the context menus would not fit
> into the remaining space if they would start where the mouse cursor is, so
> they are repositioned in a way that I can see the entire menu.
>
> But if the application is on my left hand screen the context menus will
> always start (their top left corner) where my mouse cursor is, therefore
> spilling outside my visible monitor area to the bottom, or  
> overlapping into my
> second screen. Expected behaviour: context menus to stay within my
> screen, just as they do for all other non-x2go applications.

this is a very special behaviour on a special setup. We will not be  
able to track this down soon, I am sorry. We may look at it for a  
certain amount of project sponsoring. Please let me know if that is an  
option for you (or your company in case you use X2Go at work).

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'xinerama' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to submit@bugs.x2go.org. (Wed, 29 Jan 2014 12:20:02 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to submit@bugs.x2go.org. (Wed, 29 Jan 2014 12:20:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to submit@bugs.x2go.org. (Wed, 29 Jan 2014 12:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#417; Package nxagent. (Wed, 29 Jan 2014 12:20:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 Jan 2014 12:20:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#417; Package nxagent. (Wed, 29 Jan 2014 18:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 Jan 2014 18:05:02 GMT) Full text and rfc822 format available.

Message #26 received at submit@bugs.x2go.org (full text, mbox):

From: Daniel Michalik <x2go@blackamp.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Daniel Michalik <x2go@blackamp.de>, 417@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Wed, 29 Jan 2014 19:02:58 +0100
Hi Mike,

On Wed, Jan 29, 2014 at 12:16:05PM +0000, Mike Gabriel wrote:
> this is a very special behaviour on a special setup. We will not be
> able to track this down soon, I am sorry. We may look at it for a
> certain amount of project sponsoring. Please let me know if that is
> an option for you (or your company in case you use X2Go at work).

Thank you for your answer. I cannot help you with sponsoring
unfortunately. However I did some further investigations and I believe
this issue might be more general than it looks like, I think it applies
to all multiple screen scenarios where session type is single
application. It should therefore be much easier to reproduce than
anticipated.

I retested this without a portrait screen but rather a classical dual
monitor setup, that is two landscape monitors next to each other. At
same resolution ("identical screens") there is no problem with the
context menu placement when being close to the bottom edge. But the
placement is wrong when being close to the right edge of the left
screen. With different resolutions of the screens the behaviour is
always consistent with the larger vertical resolution.

My suggestion for the error source is that the bottom right corner of
the ENTIRE area available is used when the placement of the context menu
is decided, rather than the bottom right corner of the individual
screen. All tests with various resolutions, orientations and placements
of the screens are consistent with that. Let me add that this happens
both with and without the Xinerama option turned on.

I hope this information can help tracking the issue down.
Kind regards,
Daniel


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#417; Package nxagent. (Wed, 29 Jan 2014 18:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 Jan 2014 18:10:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#417; Package nxagent. (Fri, 15 May 2015 14:08:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 14:08:19 GMT) Full text and rfc822 format available.

Message #36 received at 417@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Daniel Michalik <x2go@blackamp.de>
Cc: 417@bugs.x2go.org
Subject: Re: Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Fri, 15 May 2015 14:06:32 +0000
[Message part 1 (text/plain, inline)]
Hi Daniel,

On  Mi 29 Jan 2014 19:02:58 CET, Daniel Michalik wrote:

> Hi Mike,
>
> On Wed, Jan 29, 2014 at 12:16:05PM +0000, Mike Gabriel wrote:
>> this is a very special behaviour on a special setup. We will not be
>> able to track this down soon, I am sorry. We may look at it for a
>> certain amount of project sponsoring. Please let me know if that is
>> an option for you (or your company in case you use X2Go at work).
>
> Thank you for your answer. I cannot help you with sponsoring
> unfortunately. However I did some further investigations and I believe
> this issue might be more general than it looks like, I think it applies
> to all multiple screen scenarios where session type is single
> application. It should therefore be much easier to reproduce than
> anticipated.
>
> I retested this without a portrait screen but rather a classical dual
> monitor setup, that is two landscape monitors next to each other. At
> same resolution ("identical screens") there is no problem with the
> context menu placement when being close to the bottom edge. But the
> placement is wrong when being close to the right edge of the left
> screen. With different resolutions of the screens the behaviour is
> always consistent with the larger vertical resolution.
>
> My suggestion for the error source is that the bottom right corner of
> the ENTIRE area available is used when the placement of the context menu
> is decided, rather than the bottom right corner of the individual
> screen. All tests with various resolutions, orientations and placements
> of the screens are consistent with that. Let me add that this happens
> both with and without the Xinerama option turned on.
>
> I hope this information can help tracking the issue down.
> Kind regards,
> Daniel

I just wanted to let you know that Ulrich Sibiller is currently  
working on the Xinerama bits in nx-libs. I am very confident that he  
will find a way to fix your issue.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#417; Package nxagent. (Fri, 15 May 2015 14:08:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 14:08:19 GMT) Full text and rfc822 format available.

Message #41 received at 417@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Daniel Michalik <x2go@blackamp.de>
Cc: 417@bugs.x2go.org
Subject: Re: Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Fri, 15 May 2015 14:08:12 +0000
[Message part 1 (text/plain, inline)]
Control: merge -1 #874

merging #417 into the tracking bug #874 for the Xinerama rewrite.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'nxagent' to 'nx-libs'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:09:27 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:09:27 GMT) Full text and rfc822 format available.

Merged 417 49 556 874 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 14:11:47 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#417; Package nx-libs. (Sun, 22 Nov 2015 00:10:02 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 417@bugs.x2go.org
Subject: Bug#417: [X2Go-Dev] Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Sat, 20 Feb 2016 22:29:17 +0000
[Message part 1 (text/plain, inline)]
Control: unmerge #874
Control: unmerge #556
Control: unmerge #49
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/78

On  Fr 15 Mai 2015 16:08:12 CEST, Mike Gabriel wrote:

> [...]

This issue needs to be checked against nx-libs 3.6.x:
https://github.com/ArcticaProject/nx-libs/issues/78

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 20 Feb 2016 22:29:40 GMT) Full text and rfc822 format available.

Disconnected #49 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 12:24:12 GMT) Full text and rfc822 format available.

Disconnected #417 from all other report(s). Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 12:56:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/issues/78'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 23 Feb 2016 12:56:11 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#417; Package nx-libs. (Sun, 05 Feb 2017 12:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Feb 2017 12:15:02 GMT) Full text and rfc822 format available.

Message #64 received at 417@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Daniel Michalik <x2go@blackamp.de>, 417@bugs.x2go.org
Subject: Re: Bug#417: Two screens, wrong screen used for limits of positioning context menus
Date: Sun, 05 Feb 2017 12:10:10 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 fixed-upstream
Control: fixed -1 3.5.99.3

Hi Daniel,

On  Di 28 Jan 2014 16:35:52 CET, Daniel Michalik wrote:

> Package: xinerama
> Version: 4.0.1.2 (Qt - 4.8.6)
>
> This bug concerns the placement of context menus in a two screen setup.
> On my client I have two screens. One in landscape mode from 0,0 to
> 1920,1080 and to its right a second screen in portrait mode, from 1920,0
> to 3120,1600. I run an x2go session, the session type is single application
> (terminal). I fullscreen my application window, either on the left or on
> the right screen. I then open a context menu while my mouse cursor is in
> the bottom half or right half of the application window.
>
> Everything works fine with the application positioned on the right hand
> screen. It is correctly determined that the context menus would not fit
> into the remaining space if they would start where the mouse cursor is, so
> they are repositioned in a way that I can see the entire menu.
>
> But if the application is on my left hand screen the context menus will
> always start (their top left corner) where my mouse cursor is, therefore
> spilling outside my visible monitor area to the bottom, or  
> overlapping into my
> second screen. Expected behaviour: context menus to stay within my
> screen, just as they do for all other non-x2go applications.

I am aware that this bug report has been filed pretty long ago.

I am please to let you know that the bug reported above has been fixed  
upstream by a complete rewrite of the Xinerama functionality  
implementation in nxagent / x2goagent.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 417-submit@bugs.x2go.org. (Sun, 05 Feb 2017 12:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 417-submit@bugs.x2go.org. (Sun, 05 Feb 2017 12:15:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 13:09:18 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.